メインコンテンツまでスキップ

プロジェクトの詳細を取得 (V2)

この操作は、指定したProjectの詳細を返します。

GET/v2/projects/{projectId}
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つAPI keyである必要があります。

値の例: Bearer {{TOKEN}}
projectIdstringpath必要

詳細を取得するProjectのID。

値の例: proj-xx
bash
export TOKEN="YOUR_API_KEY"
export projectId="proj-xx"

curl --request GET \
--url "${BASE_URL}/v2/projects/${projectId}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス

指定したProjectの詳細を返します。

成功レスポンス

codeinteger

レスポンスコード。

値の例: 0
dataobject

指定したProjectの詳細を含むレスポンスペイロード。

projectIdstring

ProjectのID。

regionIdsarray

ProjectのRegion ID。

[]regionIdsstring

Region ID。適用可能なRegion IDを一覧表示するには、List regionsを使用できます。

projectNamestring

Project名。

descriptionstring

Projectの説明。

instanceCountinteger

Project内のクラスター数。

createTimestring

Projectが作成された時刻。

planstring

現在のProjectのサブスクリプションプラン。指定可能な値は StandardEnterprise、または BusinessCritical です。

orgTypestring

組織のタイプ。指定可能な値は SAAS または BYOC です。

失敗レスポンス。

codeinteger

レスポンスコード。

messagestring

エラーメッセージ。

Successjson
{
"code": 0,
"data": {
"projectId": "proj-x",
"projectName": "My Project",
"regionIds": [
"aws-us-east-1"
],
"instanceCount": 2,
"createTime": "2023-08-16T07:34:06Z",
"plan": "Enterprise",
"orgType": "SAAS",
"description": "A project for organizing clusters and resources."
}
}
Ctrl I